Bug 804115 - blank initial unknown avail data in the gui
blank initial unknown avail data in the gui
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
Depends On:
Blocks: jon310-sprint11/rhq44-sprint11
  Show dependency treegraph
Reported: 2012-03-16 11:01 EDT by John Mazzitelli
Modified: 2013-09-01 06:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-01 06:16:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
avail.png (26.82 KB, image/png)
2012-03-16 11:01 EDT, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2012-03-16 11:01:38 EDT
Created attachment 570630 [details]

see attached screenshot. this gui page should "blank" the start and duration columns for the first UNKNOWN avail data point, rather than saying the start time is from the year 1969 and its duration was over 15,000 days :}
Comment 1 John Mazzitelli 2012-03-16 11:03:05 EDT
actually, the more I look at this, we just should not display that UNKNOWN row at all. Just skip it - start with the first non-unknown data row
Comment 2 Jay Shaughnessy 2012-03-16 14:08:42 EDT
Mazz, I think that is a good idea although I'd only omit it if the start time
is 0, implying it's our initial Availability record.  It is possible that the
oldest avail record could be UNKNOWN and *not* be the initial avail record, 
due to purging of avail records.
Comment 3 Jay Shaughnessy 2012-03-22 21:35:00 EDT
master commit b2c555fe94d0c0b9465fc5e2dfc7d48ea9020d1f

The new page is a conversion from JSF to SmartGWT.
Comment 4 Heiko W. Rupp 2013-09-01 06:16:38 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.